<?php
session_start();
require_once 'config.php';

// Ambil parameter dari URL
$order_id = isset($_GET['order_id']) ? (int)$_GET['order_id'] : 0;
$token = $_GET['token'] ?? '';

if ($order_id <= 0 || empty($token)) {
    die("Tautan tidak valid.");
}

// Ambil data pesanan
$stmt = $pdo->prepare("SELECT * FROM orders WHERE id = ?");
$stmt->execute([$order_id]);
$order = $stmt->fetch();

if (!$order) {
    die("Pesanan tidak ditemukan.");
}

// Verifikasi token
$expected_token = md5($order_id . $order['transaction_id']);
if ($token !== $expected_token) {
    die("Token tidak valid.");
}

// Cek apakah sudah ada bukti transfer
$stmt = $pdo->prepare("SELECT * FROM payments WHERE order_id = ?");
$stmt->execute([$order_id]);
$payment = $stmt->fetch();

if (!$payment) {
    die("Bukti transfer belum diunggah.");
}

$message = "Pembayaran Anda telah kami terima dan sedang menunggu verifikasi oleh admin.";
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Konfirmasi Pembayaran</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }
        .container {
            max-width: 600px;
            margin: 20px auto;
            padding: 20px;
            background-color: white;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .success {
            color: green;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2>Konfirmasi Pembayaran</h2>
        <p class="success"><?php echo htmlspecialchars($message); ?></p>
        <p>Nomor Transaksi: <?php echo htmlspecialchars($order['transaction_id']); ?></p>
        <p>Status: <?php echo htmlspecialchars($order['status']); ?></p>
        <p><a href="<?php echo $base_url; ?>/index.php">Kembali ke Halaman Utama</a></p>
    </div>
</body>
</html>