<?php
// Koneksi ke database
$servername = 'localhost';
$username = 'sefsar_smartwigen';
$password = 'T4hubulat';
$dbname = 'sefsar_ticket';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // echo "Connected successfully"; // Uncomment untuk cek koneksi
} catch(PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
    exit;
}

// Fungsi untuk generate transaction_id
function generateTransactionId($conn) {
    // Ambil prefix dari tabel settings
    $stmt = $conn->prepare("SELECT setting_value FROM settings WHERE setting_key = 'transaction_prefix'");
    $stmt->execute();
    $prefix = $stmt->fetchColumn();
    
    if (!$prefix) {
        $prefix = "TKT"; // Default jika prefix tidak ditemukan
    }

    // Generate 10 angka acak
    do {
        $randomNumbers = str_pad(mt_rand(0, 9999999999), 10, '0', STR_PAD_LEFT); // 10 digit
        $transactionId = $prefix . $randomNumbers;

        // Cek apakah transaction_id sudah ada di tabel orders
        $stmt = $conn->prepare("SELECT COUNT(*) FROM orders WHERE transaction_id = ?");
        $stmt->execute([$transactionId]);
        $count = $stmt->fetchColumn();
    } while ($count > 0); // Ulangi jika transaction_id sudah ada

    return $transactionId;
}

// Contoh data dari form pemesanan
$name = "John Doe"; // Ganti dengan $_POST['name'] dari form
$email = "john@example.com"; // Ganti dengan $_POST['email']
$phone = "081234567890"; // Ganti dengan $_POST['phone']
$amount = 100000.00; // Nominal tiket (contoh: Rp 100.000)
$unique_code = mt_rand(100, 999); // Kode unik untuk transfer (contoh: 123)
$amount_with_unique = $amount + $unique_code; // Total transfer (contoh: 100123.00)

// Generate transaction_id
$transactionId = generateTransactionId($conn);

// Insert data ke tabel orders
try {
    $stmt = $conn->prepare("INSERT INTO orders (transaction_id, name, email, phone, amount, unique_code, status) VALUES (?, ?, ?, ?, ?, ?, 'pending')");
    $stmt->execute([$transactionId, $name, $email, $phone, $amount_with_unique, $unique_code]);
    echo "Order created successfully with transaction_id: $transactionId";
} catch(PDOException $e) {
    echo "Error creating order: " . $e->getMessage();
}

// Tutup koneksi
$conn = null;
?>