<?php
session_start();
require_once 'config.php';

// Memuat file PHPMailer untuk email konfirmasi upload
require_once 'PHPMailer/src/Exception.php';
require_once 'PHPMailer/src/PHPMailer.php';
require_once 'PHPMailer/src/SMTP.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

$transaction_id = $_GET['transaction_id'] ?? '';

if (empty($transaction_id)) {
    die("Transaksi tidak ditemukan.");
}

$stmt = $pdo->prepare("SELECT * FROM orders WHERE transaction_id = ?");
$stmt->execute([$transaction_id]);
$order = $stmt->fetch();

if (!$order) {
    die("Transaksi tidak ditemukan.");
}

// Cek apakah sudah ada bukti transfer
$stmt = $pdo->prepare("SELECT * FROM payments WHERE order_id = ?");
$stmt->execute([$order['id']]);
$payment = $stmt->fetch();
$already_uploaded = $payment !== false;

// Ambil daftar rekening aktif dari tabel bank_accounts
$stmt = $pdo->query("SELECT * FROM bank_accounts WHERE is_active = 'yes'");
$bank_accounts = $stmt->fetchAll();

// Proses upload jika form disubmit
if ($_SERVER['REQUEST_METHOD'] === 'POST' && !$already_uploaded) {
    $bank_id = (int)$_POST['bank_id'] ?? 0;

    if (empty($bank_id)) {
        $error = "Silakan pilih rekening tujuan.";
    } elseif (isset($_FILES['proof']) && $_FILES['proof']['error'] === UPLOAD_ERR_OK) {
        $file_tmp = $_FILES['proof']['tmp_name'];
        $file_name = $_FILES['proof']['name'];
        $file_ext = strtolower(pathinfo($file_name, PATHINFO_EXTENSION));
        $allowed_ext = ['jpg', 'jpeg', 'png', 'pdf'];

        // Validasi ekstensi file
        if (!in_array($file_ext, $allowed_ext)) {
            $error = "File harus berupa JPG, JPEG, PNG, atau PDF.";
        } else {
            // Buat direktori orders jika belum ada
            $upload_dir = 'orders/';
            if (!is_dir($upload_dir)) {
                mkdir($upload_dir, 0755, true);
            }

            // Buat nama file unik
            $new_file_name = $order['transaction_id'] . '_' . time() . '.' . $file_ext;
            $file_path = $upload_dir . $new_file_name;

            // Pindahkan file ke direktori orders
            if (move_uploaded_file($file_tmp, $file_path)) {
                // Simpan data ke tabel payments
                $stmt = $pdo->prepare("
                    INSERT INTO payments (order_id, bank_id, proof_url, uploaded_at)
                    VALUES (?, ?, ?, NOW())
                ");
                $stmt->execute([$order['id'], $bank_id, $file_path]);

                // Update status pesanan menjadi "waiting"
                $stmt = $pdo->prepare("UPDATE orders SET status = 'waiting' WHERE id = ?");
                $stmt->execute([$order['id']]);

                // Kirim email konfirmasi dengan tautan menggunakan $base_url
                $confirm_link = "$base_url/confirm_payment.php?order_id=$order[id]&token=" . md5($order['id'] . $order['transaction_id']);
                
                $mail = new PHPMailer(true);
                try {
                    // Aktifkan debugging SMTP tetapi simpan ke file
                    $mail->SMTPDebug = 2;
                    $mail->Debugoutput = function($str, $level) {
                        file_put_contents('logs/smtp_debug.log', date('Y-m-d H:i:s') . " $str\n", FILE_APPEND);
                    };

                    // Pengaturan server SMTP untuk Gmail
                    $mail->isSMTP();
                    $mail->Host = 'smtp.gmail.com';
                    $mail->SMTPAuth = true;
                    $mail->Username = 'etema949@gmail.com'; // Email Anda
                    $mail->Password = 'dxwx pljd wxgq iqnc'; // App Password Anda
                    $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
                    $mail->Port = 587;

                    // Pengaturan email
                    $mail->setFrom('etema949@gmail.com', 'Sefsar Ticket');
                    $mail->addAddress($order['email']);
                    $mail->addReplyTo('etema949@gmail.com', 'Sefsar Ticket');
                    $mail->addBCC('etema949@gmail.com');

                    // Konten email
                    $mail->isHTML(true); // Ubah ke HTML untuk format yang lebih baik
                    $mail->CharSet = 'UTF-8';
                    $mail->Subject = "Konfirmasi Upload Bukti Transfer #$order[transaction_id]";
                    $mail->Body = "
                        <h2>Terima kasih telah mengunggah bukti transfer!</h2>
                        <h3>Detail Pesanan:</h3>
                        <p><strong>Nomor Transaksi:</strong> $order[transaction_id]</p>
                        <p><strong>Nama:</strong> $order[name]</p>
                        <p><strong>Nominal Transfer:</strong> Rp " . number_format($order['amount'], 2) . "</p>
                        <p><strong>Status:</strong> Menunggu Verifikasi</p>
                        <p>Silakan konfirmasi pembayaran Anda melalui tautan berikut:</p>
                        <p><a href='$confirm_link'>$confirm_link</a></p>
                        <p>Jika tautan tidak berfungsi, salin dan tempel URL di browser Anda.</p>
                    ";
                    $mail->AltBody = "
                        Terima kasih telah mengunggah bukti transfer!\n
                        Detail Pesanan:\n
                        Nomor Transaksi: $order[transaction_id]\n
                        Nama: $order[name]\n
                        Nominal Transfer: Rp " . number_format($order['amount'], 2) . "\n
                        Status: Menunggu Verifikasi\n\n
                        Silakan konfirmasi pembayaran Anda melalui tautan berikut:\n
                        $confirm_link\n\n
                        Jika tautan tidak berfungsi, salin dan tempel URL di browser Anda.
                    ";

                    // Tambahan header
                    $mail->addCustomHeader('X-Mailer', 'PHP/' . phpversion());
                    $mail->addCustomHeader('X-Priority', '3');
                    $mail->addCustomHeader('Organization', 'Sefsar Ticket');

                    // Kirim email
                    $mail->send();
                } catch (Exception $e) {
                    error_log("Email konfirmasi upload gagal. Error: {$mail->ErrorInfo}", 3, 'logs/email_error.log');
                }

                // Refresh halaman untuk menampilkan pesan sukses
                header("Location: order_confirmation.php?transaction_id=$transaction_id");
                exit;
            } else {
                $error = "Gagal mengunggah file.";
            }
        }
    } else {
        $error = "Silakan pilih file untuk diunggah.";
    }
}
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Konfirmasi Pemesanan</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap" rel="stylesheet">
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        body {
            font-family: 'Poppins', sans-serif;
            background: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
            color: #333;
        }
        .container {
            max-width: 700px;
            margin: 2rem auto;
            background: white;
            padding: 2rem;
            border-radius: 12px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
        }
        h2, h3 {
            text-align: center;
            color: #28a745;
            margin-bottom: 1.5rem;
        }
        .info {
            border: 1px solid #ddd;
            padding: 1.5rem;
            border-radius: 8px;
            margin-bottom: 2rem;
            background: #f9f9f9;
        }
        .info p {
            margin-bottom: 0.5rem;
            font-size: 1rem;
        }
        .info strong {
            color: #444;
        }
        .form-group {
            margin-bottom: 1.5rem;
        }
        label {
            display: block;
            font-weight: 600;
            margin-bottom: 0.5rem;
            color: #444;
        }
        input[type="file"] {
            width: 100%;
            padding: 0.75rem;
            border: 1px solid #ddd;
            border-radius: 8px;
            font-size: 1rem;
        }
        .error {
            color: #dc3545;
            font-size: 0.9rem;
            margin-bottom: 1rem;
            text-align: center;
        }
        .success {
            color: #28a745;
            font-size: 1rem;
            font-weight: 600;
            margin-bottom: 1rem;
            text-align: center;
        }
        button {
            display: block;
            width: 100%;
            padding: 1rem;
            background: #28a745;
            color: white;
            border: none;
            border-radius: 8px;
            font-size: 1.1rem;
            cursor: pointer;
            transition: background 0.3s;
        }
        button:hover {
            background: #218838;
        }
        a {
            color: #28a745;
            text-decoration: none;
            display: inline-block;
            margin-top: 1rem;
            font-weight: 600;
        }
        a:hover {
            text-decoration: underline;
        }
        .bank-list {
            margin-top: 1rem;
            display: none; /* Awalnya disembunyikan */
        }
        .bank-list p {
            margin: 0.5rem 0;
        }
        /* Styling untuk daftar bank */
        .bank-options {
            display: flex;
            gap: 15px;
            flex-wrap: wrap;
            margin-bottom: 1rem;
        }
        .bank-option {
            flex: 1;
            min-width: 150px;
            padding: 1rem;
            border: 1px solid #ddd;
            border-radius: 8px;
            text-align: center;
            cursor: pointer;
            transition: border-color 0.3s;
        }
        .bank-option:hover, .bank-option.selected {
            border-color: #28a745;
        }
        .bank-option img {
            width: 50px;
            height: 50px;
            object-fit: contain;
            margin-bottom: 0.5rem;
        }
        .bank-option p {
            font-size: 1rem;
            margin: 0;
        }
        .bank-details {
            border: 1px solid #28a745;
            padding: 1rem;
            border-radius: 8px;
            background: #f9f9f9;
            display: none;
        }
        .bank-details p {
            margin: 0.5rem 0;
        }
        @media (max-width: 600px) {
            .container {
                margin: 1rem;
                padding: 1.5rem;
            }
            h2, h3 {
                font-size: 1.5rem;
            }
            button {
                font-size: 1rem;
            }
            .info p {
                font-size: 0.9rem;
            }
            .bank-options {
                flex-direction: column;
                gap: 10px;
            }
            .bank-option {
                min-width: 100%;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <h2>Konfirmasi Pemesanan</h2>
        <div class="info">
            <p><strong>Nomor Transaksi:</strong> <?php echo htmlspecialchars($order['transaction_id']); ?></p>
            <p><strong>Nama:</strong> <?php echo htmlspecialchars($order['name']); ?></p>
            <p><strong>Email:</strong> <?php echo htmlspecialchars($order['email']); ?></p>
            <p><strong>Nomor HP:</strong> <?php echo htmlspecialchars($order['phone']); ?></p>
            <p><strong>Nominal Transfer:</strong> Rp <?php echo number_format($order['amount'], 2); ?></p>
            <p><strong>Kode Unik:</strong> <?php echo htmlspecialchars($order['unique_code']); ?></p>
            <p><strong>Status:</strong> <?php echo htmlspecialchars($order['status']); ?></p>
            <p><strong>Instruksi:</strong></p>
            <p id="instruction-text">Silakan transfer ke rekening berikut:</p>
            <div class="bank-list" id="bank-list">
                <p id="selected-bank"></p>
            </div>
        </div>

        <?php if ($already_uploaded): ?>
            <p class="success">Bukti transfer telah diunggah. Silakan cek email Anda untuk tautan konfirmasi.</p>
        <?php else: ?>
            <h3>Upload Bukti Transfer</h3>
            <?php if (isset($error)): ?>
                <p class="error"><?php echo htmlspecialchars($error); ?></p>
            <?php endif; ?>
            <form method="POST" enctype="multipart/form-data">
                <div class="form-group">
                    <label>Pilih Rekening Tujuan</label>
                    <div class="bank-options">
                        <?php foreach ($bank_accounts as $account): ?>
                            <div class="bank-option" 
                                 data-id="<?php echo $account['id']; ?>" 
                                 data-bank="<?php echo htmlspecialchars($account['bank_name']); ?>" 
                                 data-number="<?php echo htmlspecialchars($account['account_number']); ?>" 
                                 data-holder="<?php echo htmlspecialchars($account['account_holder']); ?>">
                                <img src="<?php echo htmlspecialchars($account['logo_url']); ?>" alt="<?php echo htmlspecialchars($account['bank_name']); ?>">
                                <p><?php echo htmlspecialchars($account['bank_name']); ?></p>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <input type="hidden" name="bank_id" id="bank_id">
                    <div class="bank-details" id="bank-details">
                        <p><strong>Bank:</strong> <span id="detail-bank"></span></p>
                        <p><strong>No. Rekening:</strong> <span id="detail-number"></span></p>
                        <p><strong>Atas Nama:</strong> <span id="detail-holder"></span></p>
                    </div>
                </div>
                <div class="form-group">
                    <label for="proof">Pilih Bukti Transfer (JPG, JPEG, PNG, atau PDF)</label>
                    <input type="file" id="proof" name="proof" accept=".jpg,.jpeg,.png,.pdf" required>
                </div>
                <button type="submit">Unggah Bukti</button>
            </form>
        <?php endif; ?>

        <a href="<?php echo $base_url; ?>/index.php">Kembali ke Halaman Utama</a>
    </div>

    <script>
        const bankOptions = document.querySelectorAll('.bank-option');
        const bankIdInput = document.getElementById('bank_id');
        const bankDetails = document.getElementById('bank-details');
        const detailBank = document.getElementById('detail-bank');
        const detailNumber = document.getElementById('detail-number');
        const detailHolder = document.getElementById('detail-holder');
        const bankList = document.getElementById('bank-list');
        const selectedBank = document.getElementById('selected-bank');
        const instructionText = document.getElementById('instruction-text');

        // Awalnya sembunyikan instruction, bank list, dan detail bank
        instructionText.style.display = 'none';
        bankList.style.display = 'none';
        bankDetails.style.display = 'none';

        // Tambahkan event listener untuk setiap opsi bank
        bankOptions.forEach(option => {
            option.addEventListener('click', () => {
                // Hapus class 'selected' dari semua opsi
                bankOptions.forEach(opt => opt.classList.remove('selected'));
                // Tambahkan class 'selected' ke opsi yang diklik
                option.classList.add('selected');

                // Ambil data bank
                const bankId = option.getAttribute('data-id');
                const bankName = option.getAttribute('data-bank');
                const accountNumber = option.getAttribute('data-number');
                const accountHolder = option.getAttribute('data-holder');

                // Simpan bank_id ke input tersembunyi
                bankIdInput.value = bankId;

                // Tampilkan detail bank yang dipilih
                detailBank.textContent = bankName;
                detailNumber.textContent = accountNumber;
                detailHolder.textContent = accountHolder;
                bankDetails.style.display = 'block';

                // Update bagian "Instruksi"
                selectedBank.innerHTML = `
                    Bank: ${bankName}<br>
                    No. Rekening: ${accountNumber}<br>
                    Atas Nama: ${accountHolder}
                `;
                instructionText.style.display = 'block';
                bankList.style.display = 'block';
            });
        });
    </script>
</body>
</html>